Bug 994361 - [abrt] clementine-1.1.1-4.fc19: QString::realloc: Process /usr/bin/clementine was killed by signal 11 (SIGSEGV)
[abrt] clementine-1.1.1-4.fc19: QString::realloc: Process /usr/bin/clementine...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: clementine (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:901d13e5694a915ceb3ed43ccf3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 02:40 EDT by Vlad
Modified: 2015-02-17 11:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (241.48 KB, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: core_backtrace (17.98 KB, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: dso_list (19.19 KB, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: environ (1.75 KB, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-07 02:40 EDT, Vlad
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 02:41 EDT, Vlad
no flags Details
File: maps (86.86 KB, text/plain)
2013-08-07 02:41 EDT, Vlad
no flags Details
File: open_fds (3.30 KB, text/plain)
2013-08-07 02:41 EDT, Vlad
no flags Details
File: proc_pid_status (933 bytes, text/plain)
2013-08-07 02:41 EDT, Vlad
no flags Details
File: var_log_messages (232 bytes, text/plain)
2013-08-07 02:41 EDT, Vlad
no flags Details

  None (edit)
Description Vlad 2013-08-07 02:40:37 EDT
Version-Release number of selected component:
clementine-1.1.1-4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/clementine
crash_function: QString::realloc
executable:     /usr/bin/clementine
kernel:         3.9.5-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #18 QString::realloc at tools/qstring.cpp:1370
 #19 QString::append at tools/qstring.cpp:1587
 #20 operator+= at ../../src/corelib/tools/qstring.h:274
 #21 fmtDateTime at tools/qdatetime.cpp:3950
 #22 QDateTime::toString at tools/qdatetime.cpp:2636
 #23 logging::CreateLogger at /usr/src/debug/clementine-1.1.1/ext/libclementine-common/core/logging.cpp:180
 #24 _MessageReplyBase::WaitForFinished at /usr/src/debug/clementine-1.1.1/ext/libclementine-common/core/messagereply.cpp:28
 #25 TagReaderClient::ReadFileBlocking at /usr/src/debug/clementine-1.1.1/src/core/tagreaderclient.cpp:110
 #26 SongPlaylistItem::Reload at /usr/src/debug/clementine-1.1.1/src/playlist/songplaylistitem.cpp:57
 #27 PlaylistBackend::RestoreCueData at /usr/src/debug/clementine-1.1.1/src/playlist/playlistbackend.cpp:206
Comment 1 Vlad 2013-08-07 02:40:42 EDT
Created attachment 783676 [details]
File: backtrace
Comment 2 Vlad 2013-08-07 02:40:45 EDT
Created attachment 783677 [details]
File: cgroup
Comment 3 Vlad 2013-08-07 02:40:48 EDT
Created attachment 783678 [details]
File: core_backtrace
Comment 4 Vlad 2013-08-07 02:40:51 EDT
Created attachment 783680 [details]
File: dso_list
Comment 5 Vlad 2013-08-07 02:40:55 EDT
Created attachment 783681 [details]
File: environ
Comment 6 Vlad 2013-08-07 02:40:59 EDT
Created attachment 783682 [details]
File: exploitable
Comment 7 Vlad 2013-08-07 02:41:02 EDT
Created attachment 783683 [details]
File: limits
Comment 8 Vlad 2013-08-07 02:41:05 EDT
Created attachment 783684 [details]
File: maps
Comment 9 Vlad 2013-08-07 02:41:08 EDT
Created attachment 783685 [details]
File: open_fds
Comment 10 Vlad 2013-08-07 02:41:11 EDT
Created attachment 783686 [details]
File: proc_pid_status
Comment 11 Vlad 2013-08-07 02:41:14 EDT
Created attachment 783687 [details]
File: var_log_messages
Comment 12 Fedora Admin XMLRPC Client 2014-02-10 13:35:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora Admin XMLRPC Client 2014-02-26 20:23:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora End Of Life 2015-01-09 14:20:05 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:37:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.